## org.biojava.utils.contract
Class PostconditionNotMetException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.biojava.utils.contract.PostconditionNotMetException

public class PostconditionNotMetException
extends java.lang.RuntimeException

Exception class that is thrown if a postcondition of a method is not met. Since this class is a subclass of RuntimeException it is not enforced by the compiler to catch objects of this class.

Author:
  Gerald Loeffler
See Also:
  Serialized Form

Constructor Summary
`PostconditionNotMetException()` construct with no particular message
`PostconditionNotMetException(java.lang.String msg)` construct with the given message

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PostconditionNotMetException

    public PostconditionNotMetException()

  construct with no particular message

### PostconditionNotMetException

    public PostconditionNotMetException(java.lang.String msg)

  construct with the given message
  Parameters:
    `msg` - the message